"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const wrapMethod = (pool, method) => async (...args) => {
  if (pool.disposed) {
    throw new Error('Adapter has been already disposed');
  }

  pool.initialPromiseResolve();
  await pool.initialPromise;
  return await method(pool, ...args);
};

var _default = wrapMethod;
exports.default = _default;
//# sourceMappingURL=wrap-method.js.map